Loading...
Searching...
No Matches
l4_timeout_t Union Reference
Base API » Object Invocation » Timeouts

Timeout pair. More...

`#include <__timeout.h>`

Collaboration diagram for l4_timeout_t:

## Data Fields

l4_uint32_t | raw
| raw value
struct { |
l4_timeout_s rcv |
| receive timeout
l4_timeout_s snd |
| send timeout
} | p
| combined timeout

## Detailed Description

Timeout pair.

For IPC there are usually a send and a receive timeout. So this structure contains a pair of timeouts.

Definition at line 52 of file __timeout.h.

The documentation for this union was generated from the following file:

- l4/sys/__timeout.h